Skip to content
Docs

Join a team

POSThttps://api.vercel.com/v1/teams/{teamId}/members/teams/join
Join a team with a provided invite code or team ID.
https://api.vercel.com/v1/teams/{teamId}/members/teams/join
const response = await fetch('https://api.vercel.com/v1/teams/teamId/members/teams/join', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"inviteCode": "fisdh38aejkeivn34nslfore9vjtn4ls"
}),
});
const data = await response.json();
console.log(data);
Response
{
"from": "email",
"name": "My Team",
"slug": "my-team",
"teamId": "team_LLHUOMOoDlqOp8wPE4kFo9pE"
}
AuthorizationbearerToken

Default authentication mechanism

teamIdstringRequired
application/json
inviteCodestringOptional
The invite code to join the team.
200Successfully joined a team.
fromstringRequired
The origin of how the user joined.
namestringRequired
The name of the team the user joined.
slugstringRequired
The slug of the team the user joined.
teamIdstringRequired
The ID of the team the user joined.
400One of the provided values in the request body is invalid.
402Error
403You do not have permission to access this resource.
404Error
410Error
503Error